安装

npm install yarn -g

在你使用 Yarn 之前,需要先在系统中安装 Yarn 。有越来越多的各种的方法安装 Yarn:
Loading...

在 Debian 或 Ubuntu 上,需要用我们的 Debian 包仓库来安装 Yarn。 首先需要配置仓库:

curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://dl.yarnpkg.com/debian/ rc main" | sudo tee /etc/apt/sources.list.d/yarn.list
curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
echo "deb https://nightly.yarnpkg.com/debian/ nightly main" | sudo tee /etc/apt/sources.list.d/yarn.list

在Ubuntu 16.04及其更早版本和Debian稳定版环境时,你需要配置 NodeSource 仓库以获取足够新的node.js版本

然后你可以简单的:


sudo apt-get update && sudo apt-get install yarn

注意:Ubuntu 17.04 默认预装有 cmdtest。 如果您在安装 yarn 时遇到错误,您可能需要先运行 sudo apt remove cmdtest。 查阅这里了解更多信息。

如果你使用nvm,可通过以下操作来避免node的安装


sudo apt-get install --no-install-recommends yarn

注意: 由于在某些发行版上使用了 nodejs 而不是 node, yarn 可能会抱怨 node 还没有被安装,解决方式是在你的.bashrc 文件里配置别名,例如: alias nodejs=node. 这会将 yarn 指向您决定使用的某个 node 版本。

运行命令来测试 Yarn 是否安装:

yarn --version

有问题吗? 如果你不能用这些安装程序安装 Yarn,请通过 GitHub 搜索一个 issue 或者开一个新的 issue。

搜索现有的 issue · 开一个新的 issue